package lab05;

import java.util.Scanner;

public class task2 {

	public static void main(String[] args) {

		char x;

		Scanner sk = new Scanner(System.in);

		System.out.print("Enter a Character:");
		x = sk.next().charAt(0);


		if (Character.isUpperCase(x))
					System.out.printf("Th Character %c is uppercase, its unicode is %d", x, (int) x);
		else if(Character.isLowerCase(x))
					System.out.printf("Th Character %c is lowercase, its unicode is %d", x, (int) x);
		else if(Character.isDigit(x))
					System.out.printf("Th Character %c is Digit, its unicode is %d", x, (int) x);
		else if(Character.isSpaceChar(x))
					System.out.printf("Th Character %c is black whitespace charaecter, its unicode is %d", x,(int) x);
		else if(Character.isWhitespace(x))
					System.out.printf("Th Character %c is the carriage return Whitespace charater, its unicode is %d", x,(int) x);
		else
					System.out.printf("Th Character %c is a special character, its unicode is %d", x, (int) x);


	}

}
